> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Verification

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates an AccountVerificationSession of the provided type.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
]}
/>

## Body

<ParamList
  items={[
{
name: 'type',
type: 'enum',
required: true,
description: (
  <>
    The type of AccountVerificationSession to
    create. See <a href="/2026-03-30/reference/accounts/verification-sessions/overview#verification-types">Verification Types.</a>
  </>
),
},
]}
/>

## Returns

Returns an AccountVerificationSession object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "micro_deposits"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts('acc_yVf3mkzbhz9tj')
    .verificationSessions
    .create({
      type: 'micro_deposits'
    });
  ```

  ```python Python theme={null}
  response = method.accounts('acc_yVf3mkzbhz9tj')
    .verification_sessions
    .create({
      'type': 'micro_deposits'
    })
  ```
</RequestExample>

<ResponseExample>
  ```json Micro-deposits theme={null}
  {
    "id": "avf_bxDxWqdnRcrer",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "micro_deposits",
    "micro_deposits": {
      "amounts": []
    },
    "created_at": "2024-03-29T21:32:54.452Z",
    "updated_at": "2024-03-29T21:32:54.452Z"
  }
  ```

  ```json Plaid theme={null}
  {
    "id": "avf_wYjzrmP6QBzRd",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "plaid",
    "plaid": {
      "transactions": [],
      "balances": {}
    },
    "created_at": "2024-04-01T18:23:31.744Z",
    "updated_at": "2024-04-01T18:23:31.744Z"
  }
  ```

  ```json MX theme={null}
  {
    "id": "avf_eQCXK6b7L7c3W",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "mx",
    "mx": {
      "transactions": [],
      "account": {}
    },
    "created_at": "2024-04-01T18:24:27.003Z",
    "updated_at": "2024-04-01T18:24:27.003Z"
  }
  ```

  ```json Teller theme={null}
  {
    "id": "avf_tmhN3L67Qt9N6",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "teller",
    "teller": {
      "transactions": [],
      "balances": {}
    },
    "created_at": "2024-04-01T18:25:02.770Z",
    "updated_at": "2024-04-01T18:25:02.770Z"
  }
  ```

  ```json Standard theme={null}
  {
    "id": "avf_hCUj4GhnTcekJ",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "standard",
    "standard": {
      "number": null,
    },
    "created_at": "2024-03-14T02:02:24.862Z",
    "updated_at": "2024-03-14T02:02:24.862Z"
  }
  ```

  ```json Instant theme={null}
  {
    "id": "avf_P3abzebLBXLja",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "instant",
    "instant": {
      "exp_year": null,
      "exp_month": null,
      "exp_check": null,
      "number": "xxxxxxxxxxxxxxxx",
    },
    "created_at": "2024-03-14T02:02:24.862Z",
    "updated_at": "2024-03-14T02:02:24.862Z"
  }
  ```

  ```json Pre-auth theme={null}
  {
    "id": "avf_DjkdemgTQfqRD",
    "account_id": "acc_yVf3mkzbhz9tj",
    "status": "pending",
    "error": null,
    "type": "pre_auth",
    "pre_auth": {
      "exp_year": "xxxx",
      "exp_month": "xx",
      "exp_check": null,
      "cvv": null,
      "cvv_check": null,
      "billing_zip_code": "xxxxx",
      "billing_zip_code_check": null,
      "number": "xxxxxxxxxxxxxxxx",
      "pre_auth_check": null
    },
    "created_at": "2024-03-14T02:02:24.862Z",
    "updated_at": "2024-03-14T02:02:24.862Z"
  }
  ```
</ResponseExample>
